Setting Atom up for the use of C#

I tried to install omnisharp and got this error. Need help!

[Enter steps to reproduce:]

Atom: 1.33.0 x64
Electron: 2.0.11
OS: Microsoft Windows 10 Home Single Language
Thrown From: omnisharp-atom package 0.31.2

Stack Trace

Failed to activate the omnisharp-atom package

At atom.grammars.startIdForScope is not a function

TypeError: atom.grammars.startIdForScope is not a function
    at grammarCb (/packages/omnisharp-atom/dist/omnisharp-atom.js:145:35)
    at arrayEach (/packages/omnisharp-atom/node_modules/lodash/lodash.js:516:11)
    at forEach (/packages/omnisharp-atom/node_modules/lodash/lodash.js:9344:14)
    at OmniSharpAtom.activate (/packages/omnisharp-atom/dist/omnisharp-atom.js:153:30)
    at Package.activateNow (~/AppData/Local/atom/app-1.33.0/resources/app/static/<embedded>:11:3028240)
    at measure (~/AppData/Local/atom/app-1.33.0/resources/app/static/<embedded>:11:3027652)
    at Package.measure (~/AppData/Local/atom/app-1.33.0/resources/app/static/<embedded>:11:3025283)
    at activationPromise.activationPromise.Promise (~/AppData/Local/atom/app-1.33.0/resources/app/static/<embedded>:11:3027512)
    at new Promise (<anonymous>)
    at Package.activate (~/AppData/Local/atom/app-1.33.0/resources/app/static/<embedded>:11:3027455)
    at PackageManager.activatePackage (~/AppData/Local/atom/app-1.33.0/resources/app/static/<embedded>:11:382481)
    at ~/AppData/Local/atom/app-1.33.0/resources/app/static/<embedded>:11:917450
    at r (~/AppData/Local/atom/app-1.33.0/resources/app/static/<embedded>:11:912056)
    at o (~/AppData/Local/atom/app-1.33.0/resources/app/static/<embedded>:14:1037414)
    at ChildProcess.n.process.on.e (~/AppData/Local/atom/app-1.33.0/resources/app/static/<embedded>:14:1037620)
    at emitTwo (events.js:126:13)
    at ChildProcess.emit (events.js:214:7)
    at Process.ChildProcess._handle.onexit (internal/child_process.js:198:12)

Commands

     -4:27 core:paste (input.hidden-input)
 10x -4:04.9.0 core:backspace (input.hidden-input)
     -3:55.6.0 core:select-all (input.hidden-input)
     -3:55.2.0 core:backspace (input.hidden-input)
     -3:49.3.0 core:select-all (input.hidden-input)
     -3:49 core:backspace (input.hidden-input)
     -2:44 core:paste (input.hidden-input)

Non-Core Packages

atom-debugger 0.1.6 
atom-python-debugger 0.3.4 
atom-runner 2.7.1 
emmet 2.4.3 
ide-python 1.1.0 
omnisharp-atom 0.31.2 

Looks like atom-omnisharp is no longer up to date. You should try https://github.com/atom/ide-csharp/ instead…

1 Like

Thanks for the reply!